Bug 73860 - Python voraciously eating memory
Python voraciously eating memory
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rhn-applet (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 09:25 EDT by Alexander Farley
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 05:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-09-12 09:25:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i686)

Description of problem:
Python seems to be eating up a great deal of memory. At times up to 1.5 GB+ RAM
and swap.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start a new session
2.python process started automatically by system
3.python continues to run and eat up memory
	

Actual Results:  Python will eat up memory until there is none left (just a
guess since I have 3 GB RAM plus swap and the slow down is noticeable once the
swap starts to be consumed) or until the process is killed.

Expected Results:  Python would use up a reasonable amount of memory.

Additional info:

There does not seem to be any output of the problem (i.e. no oops or warnings).
The system just seems to get sluggish after ~30-40 min. I then check the process
monitor and python is continually using an obscene amount of memory (at least
2-3x more than any other proces save for X). I am using python-2.2.1-17 on an
athlon XP2100+ with 1 GB PC2700 DDR SDRAM with 2GB swap space.
Comment 1 Trond Eivind Glomsrxd 2002-09-12 11:12:19 EDT
What program is running? Python is just an interpreter...
Comment 2 Alexander Farley 2002-09-12 12:06:24 EDT
I think that python is running rhn-applet-gui. I went into the process monitor
and turned on the argument option and got the following for python:
"/usr/bin/python /usr/bin/rhn-applet-gui --sm-client-id default5". I no longer
run the rhn daemon and I took rhn applet off of my panel (there is not much need
for RHN with Rawhide), so I do not know why this component is still running.
Could the memory problem be due to the absense of the two other programs?
Comment 3 Chip Turner 2002-09-12 17:55:45 EDT
what version of the applet are you running? (rpm -q rhn-applet)  also what
version of gnome-python2 and pygtk2?  there were leaks in earlier versions, but
they should all be fixed with the latest in rawhide
Comment 4 Alexander Farley 2002-09-12 19:04:53 EDT
rhn-applet-2.0.0-14
gnome-python2-1.99.11-7
pygtk2-1.99.12-4

All packages appear to be the most recent versions. There may be more recent
versions available, but the ftp site and mirrors have not change since August
30. I assume that there is some major security flaw that needs to be fixed and
every dependency recompiled and repackaged. So if this is true perhaps the
problem has been fixed, if not then the problem has not been fixed.
Comment 5 Daniel Veillard 2003-04-08 05:29:38 EDT
We identified 2 memory leaks due to the python bindings in some release
of gtk+ and the RPM libraries. The first one is fixed in the current
release Red Hat 9 (was also fixed in Red Hat 8) and the second one,
harder to trigger is being fixed as an errata, and available in rawhide.

  That should close this problem,

   thanks,

Daniel

Note You need to log in before you can comment on or make changes to this bug.